include:
  - project: kube-ops/helm/repository
    file: ci.yaml

test-build:
  stage: .pre
  image: docker:latest
  services:
    - docker:dind
  before_script:
    - export APPVERSION=$(grep '^appVersion:' Chart.yaml | cut -d' ' -f2 | tr -d '\s\n')
    - echo "APPVERSION $APPVERSION"
  script:
    - docker build . --build-arg VERSION=$APPVERSION
  rules:
    - if: $CI_COMMIT_TAG
      when: never
    - when: on_success

build-image:
  stage: .pre
  image: docker:latest
  services:
    - docker:dind
  before_script:
    - export APPVERSION=$(grep '^appVersion:' Chart.yaml | cut -d' ' -f2 | tr -d '\s\n')
    - export APPIMAGE="quay.io/kube-ops/traefik:$APPVERSION"
    - echo "APPIMAGE $APPIMAGE"
    - docker login quay.io --username $QUAY_USERNAME --password $QUAY_PASSWORD
  script:
    - docker build . --no-cache --build-arg VERSION=$APPVERSION --tag $APPIMAGE
    - docker push $APPIMAGE
  after_script:
    - docker logout quay.io
  rules:
    - if: $CI_COMMIT_TAG
      when: on_success
    - when: never
